<?php
$ABS_PATH = dirname(__FILE__);
include_once $ABS_PATH.'/inc/db.inc.php';
include_once $ABS_PATH.'/inc/login.inc.php';
include_once $ABS_PATH.'/event.inc.php';

sec_session_start();
is_logged_in();

$dbConn = dbConnect($dbhost, $dbname, $dbuser, $dbpassword);

$date = $_POST['idateDel'];
$room = $_POST['iroomDel'];
$event = $_POST['ieventDel'];


if(get_user_access_level() == "admin") {
	$dbtimeformat = $event.":00:00";
	$res = sqlDelEventAsAdmin($room, $date, $dbtimeformat);
	echo $res;
}
else {

	if(strlen($event)<2) $event = "0".$event;
	
	$curr_datetime = new DateTime();
	$event_datetime = DateTime::createFromFormat ( "Ymd H:i:s", $date." ".$event.":00:00");
	$log_datetime = DateTime::createFromFormat ( "Y-m-d H:i:s", $_POST['log_time']);

	$diff_event_del = date_diff( $curr_datetime, $event_datetime );
	$diff_event_corr = date_diff( $curr_datetime, $log_datetime );

	$diff_event_del_hours = $diff_event_del->h + ($diff_event_del->d*24) + ($diff_event_del->m*24*31) + ($diff_event_del->y*24*31*12);
	$diff_event_corr_min = $diff_event_corr->i + (($diff_event_corr->h + ($diff_event_corr->d*24) + ($diff_event_corr->m*24*31) + ($diff_event_corr->y*24*31*12) * 60));
	
	// User can delete events only before x hours
	if($diff_event_del_hours < $cfg['EVENT_DELETION_HOURS_MAX']) {
	
		// User can correct events only in x minutes
		if($diff_event_corr_min >= $cfg['EVENT_CORRECTION_MINUTES_MAX']) {
			echo $cfg['MSG_EVENT_MAX_DELITION'];
			exit;
		}
	}
	
	if($event) {
		$dbtimeformat = $event.":00:00";
		$res = sqlDelEventAsUser($room, $date, $dbtimeformat);
		echo $res;
	}
}

?>
