<!DOCTYPE html>
<html lang="de">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <title>Online Booking</title>

	<?php
		$DOC_ROOT = $_SERVER['DOCUMENT_ROOT'];
		$ABS_PATH = dirname(__FILE__);
		$REL_PATH = str_replace($DOC_ROOT, '', $ABS_PATH)."/";
		$PAGE_URL = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
	?>
    <!-- Bootstrap -->
    <link href="<?php echo $REL_PATH; ?>/css/bootstrap.min.css" rel="stylesheet">
	<link href="<?php echo $REL_PATH; ?>/css/login.css" rel="stylesheet">
	<link href="<?php echo $REL_PATH; ?>/css/calendar.css" rel="stylesheet">
	<link href="<?php echo $REL_PATH; ?>/css/lightbox.css" rel="stylesheet">
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<link href="<?php echo $REL_PATH; ?>/css/bootstrap-datetimepicker.css" rel="stylesheet">
	
	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
	<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
	<script src="https://code.jquery.com/jquery-1.12.4.js"></script>
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		
	<script type="text/javascript" src="//code.jquery.com/jquery-2.1.1.min.js"></script>
	<script type="text/javascript" src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/moment.js/2.9.0/moment-with-locales.js"></script>
	<script type="text/javascript" src="//cdn.rawgit.com/Eonasdan/bootstrap-datetimepicker/e8bddc60e73c1ec2475f827be36e1957af72e2ea/src/js/bootstrap-datetimepicker.js"></script>
	<script type="text/javascript" src="<?php echo $REL_PATH; ?>/js/validation.min.js"></script>
	
	<!-- Include login.js -->
	<script src="<?php echo $REL_PATH; ?>/js/forms.js"></script>
	<script src="<?php echo $REL_PATH; ?>/js/ajxHttpRequest.js"></script>
    <script src="<?php echo $REL_PATH; ?>/js/login.js"></script>
	<script src="<?php echo $REL_PATH; ?>/js/sha512.js"></script>
	<script src="<?php echo $REL_PATH; ?>/js/datetimepicker.js"></script>
	<script src="<?php echo $REL_PATH; ?>/js/event.js"></script>
	<script src="<?php echo $REL_PATH; ?>/js/lightbox.js"></script>
	<script src="<?php echo $REL_PATH; ?>/js/backstretch.js"></script>
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>
  <body>
	<?php include_once $ABS_PATH.'/inc/settings.php'; ?>
	<script>var REL_PATH = '<?php echo $REL_PATH; ?>';</script>
	<script src="<?php echo $REL_PATH; ?>/js/navigation.js"></script>
	
	<!-- Background Image -->
	<script>
	jQuery(document).ready(function($){
		$.backstretch("<?php echo $REL_PATH; ?>/img/t-on-bg-400x264.jpg");
	});
	</script>

	<!-- Navigation -->
	<div class="container text-center">
		 <div id="navigation"></div>
	</div>
	
	<!-- Datetimepicker -->
	<? include_once $ABS_PATH.'/forms/datetimepicker.form.php'; ?>
	
	<!-- Content -->
	<div class="container" id="content"></div>
	
	<!-- Room images -->
	<div id="images" class="imgmodal"></div>
		
	<!-- include all forms (enabling via ajax) -->
	<?php include_once $ABS_PATH.'/forms/msg.form.php'; ?>
	<?php include_once $ABS_PATH.'/forms/login.form.php'; ?>
	<?php include_once $ABS_PATH.'/forms/registration.form.php'; ?>
	<?php include_once $ABS_PATH.'/forms/lostpwd.form.php'; ?>
	<?php include_once $ABS_PATH.'/forms/pwdchange.form.php'; ?>
	<?php include_once $ABS_PATH.'/forms/event.form.php'; ?>
	<?php include_once $ABS_PATH.'/forms/event.delete.form.php'; ?>
	
	<?php
		if(isset($_GET['pwdchangehash'])) {
			$CURR_ABS_PATH = $ABS_PATH;
			include_once $CURR_ABS_PATH.'/inc/login.inc.php';
			$dbConn = dbConnect($dbhost, $dbname, $dbuser, $dbpassword);
			$res = get_user_data_by_lostpwd_hash($_GET['pwdchangehash']);
			if($res != "") {
				include_once $CURR_ABS_PATH.'/forms/pwdreset.form.php';
			}
		}
	?>
  </body>
</html>