
// The XMLHttpRequest.open() method initializes a ajax request.
/* parameter:
	- method: GET, POST, PUT, DELETE
	- url: A DOMString representing the URL to send the request to.
	- async: boolean (true/false)
	- afterReadyState: element ID or function
		-> if element ID: the element will be filled in with the response text from the given URL
		-> if function: execute function without parameter
*/

function ajxHttpRequest(method, url, async, afterReadyState) {
		
	 // code for IE6, IE5
	 if (window.XMLHttpRequest) {
            // code for IE7+, Firefox, Chrome, Opera, Safari
            xmlhttp =new XMLHttpRequest();
        } else {// 
            xmlhttp =new ActiveXObject("Microsoft.XMLHTTP");
        }
        xmlhttp.onreadystatechange = function() {
            if(this.readyState == 4 && this.status == 200) {//received full server response and check the server response
				
				var element = document.getElementById(afterReadyState);
				
				// if element found => fill element value with response text
				if(element) {
					element.innerHTML=" ";          
					element.innerHTML=this.responseText;
				} // otherwise check if parameter is a function and execute
				else if (typeof afterReadyState === 'function') {
					afterReadyState();
				}
            }
        };
        xmlhttp.open(method, url, async);
        xmlhttp.send();
}
