<?php
$ABS_PATH = dirname(__FILE__);
include_once $ABS_PATH.'/inc/event.inc.php';

sec_session_start();

$dbConn = dbConnect($dbhost, $dbname, $dbuser, $dbpassword);
$res = sqlGetEvents($_GET['date']);
if($res) {
	foreach($res as $key => $data) {
		$droom = htmlspecialchars($data['room']);
		$ddate = htmlspecialchars(str_replace('-', '', $data['date']));
		$dtime = htmlspecialchars(substr($data['time'], 0,5));
		
		$events[$droom][$ddate][$dtime] = $data;
	}
}
$date = $_GET['date'];
?>

	<div class="container" id="calendar">
		<div class="table-responsive">
			<table class="table table-bordered table-hover table-condensed">
				<thead>
					<tr>
						<th class="eventtime"><span class="glyphicon glyphicon-time"></span></th>
						<?php
							for($room = 1; $room<= $cfg['rooms']; $room++) {
								echo '<th class="rooms">Raum '.$room.'
										  <br /><span class="glyphicon glyphicon-camera" onclick="getImages('.$room.')"></span>
									  </th>';
							}
						?>
					</tr>
				</thead>
				<tbody>
							<?php
								for($uhrzeit = $cfg['time_start']; $uhrzeit<= $cfg['time_end']; $uhrzeit++) {
								
									$time = $uhrzeit;
									if(strlen($time)<2) $time = "0".$time;
									$zeit = $time.":00";
									
									$time_to = $uhrzeit + 1;
									if($time_to == 24) $time_to = 0;
									if(strlen($time_to)<2) $time_to = "0".$time_to;
									
									echo '<tr>';
									echo '<th class="eventtime" scope=row>'.$zeit.'</th>';
									
									for($room = 1; $room<= $cfg['rooms']; $room++) {
										$data = $events[$room][$date][$zeit];
										$usrdat = get_user_data($data['user_id']);

										if($cfg['price'][$room][$time]) {
												$price[$room] = $cfg['price'][$room][$time];
											}
											else if(!$price[$room]) {
												$price[$room] = $cfg['price'][$room][0];
											}
											
										if($events[$room][$date][$zeit]) {
											if(get_user_access_level() == 'admin' || $data['user_id']==$_SESSION['user_id']) {
												$note = htmlspecialchars($data['note']);
												$log_time = htmlspecialchars($data['log_time']);
												if(strlen($note) > 0 ) {
													$eventInfo = substr($note, 0, 10);
												}
												else {
													$eventInfo = htmlspecialchars($usrdat['first_name']);
												}
												$name = htmlspecialchars($usrdat['first_name']." ".$usrdat['last_name']);
												$email = htmlspecialchars($usrdat['email']);
												$tel = htmlspecialchars($usrdat['tel']);
												echo '<td class="bg-event pointer" onclick="javascript:setEventDeleteValues('.$date.', '.$room.', \''.$time.'\', \''.$name.'\', \''.$email.'\', \''.$tel.'\', \''.$note.'\', \''.$log_time.'\')"><span>'.$eventInfo.'</span></td>';
											}
											else {
												echo '<td class="bg-occupied occupied"><span>belegt</span></td>';
											}
										}
										else {
											// Logged in User?
											if(isset($_SESSION['user_id'])) {
												$onclick = 'onclick="javascript:setEventValues('.$date.', '.$room.', \''.$time.'\', \''.$time_to.'\')"';
											}
											else {
												$onclick = "onclick=\"javascript:showMsg('".$cfg['MSG_LOGIN']."')\"";
											}
											
											echo '<td class="bg-available crosshair" '.$onclick.'>
													<span>'.$price[$room].' €</span>
												  </td>';
										}
										
									}
									echo'</tr>';
								}
							?>
				</tbody>
				<thead>
					<tr>
						<th class="eventtime"><span class="glyphicon glyphicon-time"></span></th>
						<?php
							for($room = 1; $room<= $cfg['rooms']; $room++) {
								echo '<th class="rooms"><span class="glyphicon glyphicon-camera" onclick="getImages('.$room.')"></span>
										<br />Raum '.$room.'
									  </th>';
							}
						?>
					</tr>
				</thead>
			</table>
		</div>
		<div id="event-legend">
			<table class="table table-bordered table-hover table-condensed">
				<td class="bg-available">frei</td>
				<td class="bg-occupied">belegt</td>
				<td class="bg-event">meine termine</td>
			</table>
		</div>
	</div>