<?php
$ABS_PATH = dirname(__FILE__);
include_once $ABS_PATH.'/inc/login.inc.php';

sec_session_start();
is_logged_in();

$dbConn = dbConnect($dbhost, $dbname, $dbuser, $dbpassword);

if(get_user_access_level() == 'admin') {
	$p_user_id = $_GET['user_id'];
	$p_active = $_GET['active'];
	if(isset($p_user_id) && isset($p_active)) {
		sqlSetUserStatus($p_user_id, $p_active);
	}
}
$res = sqlGetUsers();
?>
					
	<div class="container" id="calendar">
		<div class="panel panel-default">
			<!-- Default panel contents -->
			<div class="panel-heading">User freischalten</div>
			
			<!-- Table -->
			<div class="table-responsive">
					<table class="table table-hover table-condensed">
					<thead>
						<tr class="bg-info">
							<th>Status</th>
							<th>E-Mail</th>
							<th>Name</th>
							<th>Telefon</th>
							<th>Registriert seit</th>
							<th>E-Mail bestätigt</th>
							<th>Aktiv</th>
							<th>Freischalten</th>
						</tr>
					</thead>
					<tbody>
						<?php	
							if($res) {
								foreach($res as $key => $data) {
									$user_id = $data['id'];
									if($data['registration_hash'] == "confirmed") $email_confirmed = '<span class="label label-success">&nbsp;Ja&nbsp;&nbsp;</span>';
									else $email_confirmed = '<span class="label label-danger">Nein</span>';
									
									if($data['enabled'] == 1) $aktiv = '<span class="label label-success">&nbsp;aktiv&nbsp;&nbsp;</span>';
									else $aktiv = '<span class="label label-danger">inaktiv</span>';
									
									echo '<tr>
										<td><strong>'.htmlspecialchars($data['access_level']).'</strong></td>
										<td><strong>'.htmlspecialchars($data['email']).'</strong></td>
										<td>'.htmlspecialchars($data['first_name']).' '.htmlspecialchars($data['last_name']).'</td>
										<td>'.htmlspecialchars($data['tel']).'</td>
										<td>'.htmlspecialchars($data['registration_date']).'</td>
										<td>'.$email_confirmed.'</td>
										<td>'.$aktiv.'</td>';
										
										// eigenen user darf man nicht sperren
										if($user_id == $_SESSION['user_id']) {
											echo'<td class="btn-lg">-</td>';
										}
										else  {
											echo'<td class="btn-lg">
												<span class="glyphicon glyphicon-ok-circle " style="color: green;" aria-hidden="true" onclick="javascript:setUserActive('.$user_id.', 1)"></span>
												<span class="glyphicon glyphicon-ban-circle" style="color: red;" aria-hidden="true" onclick="javascript:setUserActive('.$user_id.', 0)"></span>
											</td>';
										}
									echo '</tr>';
								}
							}
						?>
					</tbody>
				</table>
			</div>
		</div>
	</div>
	