<?php
$ABS_PATH = dirname(__FILE__);
include_once $ABS_PATH.'/inc/db.inc.php';
include_once $ABS_PATH.'/inc/login.inc.php';
include_once $ABS_PATH.'/event.inc.php';

sec_session_start();
is_logged_in();

$dbConn = dbConnect($dbhost, $dbname, $dbuser, $dbpassword);

$date = $_POST['idate'];
$room = $_POST['iroom'];
$from_time = $_POST['from_time'];
$to_time = $_POST['to_time'];
$notiz = $_POST['notiz'];

if(get_user_access_level() != "admin") {
	if(strlen($from_time)<2) $from_time = "0".$from_time;
	$event_datetime = DateTime::createFromFormat ( "Ymd H:i:s", $date." ".$from_time.":00:00");

	$curr_datetime = new DateTime();

	// User can delete events only before x hours
	if($event_datetime < $curr_datetime) {
		echo $cfg['MSG_EVENT_MIN_INSERT'];
		exit;
	}
}

if($room) {
	if($from_time >= $cfg['time_start'] && $to_time <= $cfg['time_end'] && ($to_time >= $from_time || $to_time == "00")) {
		if($to_time == "00") $to_time = "24";
		for($time=$from_time; $time<$to_time; $time++) {
			$dbtimeformat = $time.":00:00";
			if(!isset($notiz)) $notiz = "";
			$result_codes[$time] = sqlInsEvent($room, $date, $dbtimeformat, $notiz);
		}
	}

	// Check if all result codes are OK, otherwise return message
	if (count(array_unique($result_codes)) === 1 && end($result_codes) === 'OK') {
		echo end($result_codes);
	}
	else
	{
		foreach($result_codes as $time => $result_value) {
			if($result_value != "OK") {
				echo str_replace('%time%', $time, $cfg['MSG_EVENT_CHECK'])."<br />";
			}
		}
	}
}

?>
