<?php

	/*** PAGE URL ***/
	$PAGE_URL = (isset($_SERVER['HTTPS']) ? "https" : "http") . "://$_SERVER[HTTP_HOST]".dirname($_SERVER[REQUEST_URI]);
	
/*** DB - SETTINGS - BEGIN ***/

	// DB - Connection
	$dbhost		= "mysql5.t-on.at";
	$dbname 	= "db280811_5";
	$dbuser 	= "db280811_5";
	$dbpassword = "emula6ofam87";

	// DB - Tables
	$cfg['DB_TABLE_USERS'] = "event_users";
	$cfg['DB_TABLE_LOGIN_ATTEMPTS'] = "event_login_attempts";
	$cfg['DB_TABLE_EVENTS'] = "event_calendar";
	
/*** DB - SETTINGS - END ***/

/*** LOGIN SETTINGS ***/
	$cfg['ALLOW_FAILED_LOGINS'] = 50;
	$cfg['CHANGE_PWD_AFTER_X_DAYS'] = 365; // in days
	$cfg['MAX_EMAIL_CONFIRM_HOURS'] = 24; // how many hours should the confirmation be possible?

/*** MAIL SETTINGS*/
	$SITE_URL = $_SERVER['SERVER_NAME'];
	$registration_hash_link = "$PAGE_URL/process_mail_confirm.php?hash=%registration_hash%";
	$lostpwd_hash_link = "$PAGE_URL/index.php?pwdchangehash=%lostpwd_hash%";
	$admin_activate_hash_link = "$PAGE_URL/process_mail_confirm.php?hash=%registration_hash%";
	$cfg['MAIL_ADMIN'] = "studio@t-on.at";
	$cfg['MAIL_FROM'] = "studio@t-on.at";
	$cfg['MAIL_REGISTRATION_SUBJECT'] = "t-on.at: Registrierung";
	$cfg['MAIL_LOSTPWD_SUBJECT'] = "t-on.at: Passwort vergessen";
	$cfg['MAIL_LOSTPWD_MAILSENT'] = "Du hast eine E-Mail erhalten. Bitte überprüfe dein Posteingang.";
	$cfg['MAIL_REGISTRATION_USER_MESSAGE'] = 'Willkommen bei t-on.at!
						<br /><br />Du bist nun offiziell registriert! Dein Benutzername lautet <b>%USER_NAME%</b>.
						<br />
						<br />Deine E-Mail Adresse wird bestätigt sobald Du auf folgenden Link geklickt hast:
						<br /><a href="'.$registration_hash_link.'">'.$registration_hash_link.'</a>
						<br />Es kann bis zu 24 Stunden dauern bis dein Account freigeschaltet wird.
						<br />
						<br />Für Fragen, Problemne, etc. stehen wir gerne telefonisch zur Verfügung.
						<br />
						<br /><a href="'.$SITE_URL.'">t-on Tonstudio & Proberäume – Cebul KG</a>
						<br />Linke Wienzeile 40
						<br />1060 Wien
						';

	$cfg['MAIL_REGISTRATION_ADMIN_MESSAGE'] = 'Ein neuer User hat sich registriert:
											   <br />E-Mail: %email%
											   <br />Name: %first_name% %last_name%
											   <br />Tel.: %tel%
											   <br />
											   <br />Bitte einloggen um den User freizuschalten.
											   <br />
											   <br /><a href="'.$SITE_URL.'">t-on Tonstudio & Proberäume – Cebul KG</a>
											   <br />Linke Wienzeile 40
											   <br />1060 Wien
												';
												
	$cfg['MAIL_LOSTPWD_MESSAGE'] = 'Passwort zurücksetzen leicht gemacht!
						<br />Einfach auf dem folgenden Link klicken und das Passwort neu vergeben:
						<br /><a href="'.$lostpwd_hash_link.'">'.$lostpwd_hash_link.'</a>
						<br />
						<br />Für Fragen, Problemne, etc. stehen wir gerne telefonisch zur Verfügung.
						<br />
						<br /><a href="'.$SITE_URL.'">t-on Tonstudio & Proberäume – Cebul KG</a>
						<br />Linke Wienzeile 40
						<br />1060 Wien
						';
						
/*** MESSAGES - BEGIN ***/

	// Login, Registration & ChangePWD Messages
	$cfg['MSG_LOGIN_NOT_ENABLED'] = 'Der Account wurde noch nicht aktiviert.';
	$cfg['MSG_LOGIN_FAILED'] = 'Bitte E-Mail und Passwort überprüfen';
	$cfg['MSG_INVALID_EMAIL'] = 'Falsches E-Mail Adresse Format.';
	$cfg['MSG_INVALID_PASSWORD'] = 'Bitte die Eingabe des Passworts überprüfen!';
	$cfg['MSG_EMAIL_EXISTS'] = 'Diese E-Mail Adresse ist bereits registriert';
	$cfg['MSG_REGISTRATION_OK'] = 'Registrierung war erfolgreich. Bitte die E-Mail bestätigen.';
	$cfg['MSG_INVALID_REQUEST'] = 'Invalid Request!';
	$cfg['MSG_INVALID_HASH'] = 'Die E-Mail Adresse wurde bereits bestätigt.';
	$cfg['MSG_EMAIL_CONFIRMED'] = 'E-Mail wurde bestätigt. In kürze wird der Account von einem Admin freigeschaltet. Die Seite kann geschlossen werden.';
	$cfg['MSG_EMAIL_NOT_CONFIRMED'] = 'E-Mail wurde noch nicht bestätigt.';
	$cfg['MSG_CHECK_INPUT'] = 'Bitte die Eingabe nochmals prüfen.';
	
	// SQL Messages
	$cfg['SQL_ERROR'] = 'Something goes wrong!';
	
	// Events
	$cfg['MSG_LOGIN'] = 'Termine nur für angemeldete Benutzer!';
	$cfg['MSG_EVENT_CHECK'] = 'Bitte den Termin um %time% Uhr überprüfen!';
	$cfg['MSG_EVENT_MAX_CORRECTION'] = 'Ein kürzlich hinzugefügter Termin kann nur innerhalb von 1 Minuten korrigiert werden!';
	$cfg['MSG_EVENT_MAX_DELITION'] = 'Stornos nur 72 Stunden vor dem Termin möglich!';
	$cfg['MSG_EVENT_MIN_INSERT'] = 'Termine sind nur in der Zukunft möglich';

/*** MESSAGES - END ***/


/*** EVENTS ***/
	$cfg['rooms'] = 6;
	$cfg['time_start'] = 11;
	$cfg['time_end'] = 23;
	$cfg['EVENT_CORRECTION_MINUTES_MAX'] = 1;
	$cfg['EVENT_DELETION_HOURS_MAX'] = 72;

/*** ROOM PRICES ***/

	// Regular prices - second key == room, third key == from time
	$cfg['price'][1][0] = 12;
	$cfg['price'][2][0] = 15;
	$cfg['price'][3][0] = 15;
	$cfg['price'][4][0] = 20;
	$cfg['price'][5][0] = 14;
	$cfg['price'][6][0] = 20;
	
	// Afternoon prices - second key == room, third key == from time
	$cfg['price'][1][15] = 15;
	$cfg['price'][2][15] = 18;
	$cfg['price'][3][15] = 18;
	$cfg['price'][4][15] = 20;
	$cfg['price'][5][15] = 17;
	$cfg['price'][6][15] = 20;
	
?>