/* Submit form */
function submitForm(divId, form, url, method, errorElement)
{
		var data = $(form).serialize();
		
		$.ajax({
				
			type : method,
			url  : url,
			data : data,
			beforeSend: function()
			{	
				$(errorElement).fadeOut();
				$(errorElement).html('');
			},
			success :  function(response)
			   {
					if(response=="OK"){
						var divContainer = document.getElementById(divId);
						showElement(divContainer, false);
						getNavigation();
						var currentDate = new Date($dpt.viewDate());
						getEvents(convertDate(currentDate, 'YYYYMMDD'));
						return true;
					}
					else{
						$(errorElement).fadeIn(1000, function(){						
							$(errorElement).html('<div class="alert alert-danger"> <span class="glyphicon glyphicon-info-sign"></span> &nbsp; '+response+'</div>');
						});
					}
			  },
			  error: function() {
				alert('ajax error' + divId);
			  }
		});
		return false;
}

function showForms(showLogin, showRegister, showPwd, showEvent, showMsg, showPpwdChange, showPwdReset) {
	showForm('login', showLogin);
	showForm('register', showRegister);
	showForm('lostpwd', showPwd);
	showForm('event', showEvent);
	showForm('msg', showMsg);
	showForm('pwdchange', showPpwdChange);
	showForm('pwdreset', showPwdReset);
}


function showForm(formId, show) {
	var form = document.getElementById(formId);
	var formError = document.getElementById(formId+'-error');

	if(form) {
		showElement(form, show);
	}
	if(show == false && formId != 'msg') {
		if(formError) {
			formError.innerHTML = '';
		}
	}
}

function showElement(el, show) {
	if(el) {
		if(show == true) {
			el.style.display='block';
		}
		else {
			el.style.display='none';
		}
	}
}

function showMsg(msg) {
	var el = document.getElementById('msg-txt');
	if(el) {
		el.innerHTML = msg;
	}
	getPage('frm.msg');
}