<?php
$CURR_ABS_PATH = dirname(__FILE__);
include_once $CURR_ABS_PATH.'/inc/db.inc.php';
include_once $CURR_ABS_PATH.'/inc/login.inc.php';
include_once $CURR_ABS_PATH.'/inc/mail.inc.php';

$dbConn = dbConnect($dbhost, $dbname, $dbuser, $dbpassword);

// LostPwd hash erstellen & Mail schicken
$email = $_POST['email'];
if(isset($email)) {

	$lostpwd_hash = hash('sha512', uniqid(generateRandom(16), TRUE));
	$res = sqlSetLostPwdHash($email, $lostpwd_hash);
	
	if($res == "OK") {
		$message = $cfg['MAIL_LOSTPWD_MESSAGE'];
		$message = str_replace("%lostpwd_hash%", $lostpwd_hash, $message);
		sendMail($email, $cfg['MAIL_LOSTPWD_SUBJECT'], $message);
		
		echo $cfg['MAIL_LOSTPWD_MAILSENT'];
	}
	else {
		echo $res;
	}
}

// Hash berprfen
$hash = $_POST['pwdchangehash'];
if(isset($hash)) {
	process_pwdchange($dbConn);
}
?>